列出 roleEligibilitySchedules
命名空间:microsoft.graph
从 roleEligibilitySchedules 导航属性获取 unifiedRoleEligibilitySchedule 资源。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | RoleEligibilitySchedule.Read.Directory、RoleManagement.Read.Directory、RoleManagement.Read.All、RoleEligibilitySchedule.ReadWrite.Directory、RoleManagement.ReadWrite.Directory |
| 委派(个人 Microsoft 帐户) | 不支持 |
| Application | RoleManagement.Read.All、RoleManagement.Read.Directory、RoleManagement.ReadWrite.Directory |
HTTP 请求
GET /roleManagement/directory/roleEligibilitySchedules
可选的查询参数
此方法支持 $select``$filterOData 查询参数,$expand以帮助自定义响应。 若要了解一般信息,请参阅 OData 查询参数。
请求标头
| 名称 | 说明 |
|---|---|
| Authorization | Bearer {token}。必需。 |
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 200 OK 响应代码和 unifiedRoleEligibilitySchedule 对象的集合。
示例
请求
GET https://graph.microsoft.com/v1.0/roleManagement/directory/roleEligibilitySchedules
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
{
"@odata.context": "https://graph.microsoft.com/v1.0/$metadata#roleManagement/directory/roleEligibilitySchedules",
"value": [
{
"id": "77f71919-62f3-4d0c-9f88-0a0391b665cd",
"principalId": "071cc716-8147-4397-a5ba-b2105951cc0b",
"roleDefinitionId": "8424c6f0-a189-499e-bbd0-26c1753c96d4",
"directoryScopeId": "/",
"appScopeId": null,
"createdUsing": "77f71919-62f3-4d0c-9f88-0a0391b665cd",
"createdDateTime": "2022-04-12T14:44:50.287Z",
"modifiedDateTime": "0001-01-01T08:00:00Z",
"status": "Provisioned",
"memberType": "Direct",
"scheduleInfo": {
"startDateTime": "2022-04-12T14:44:50.287Z",
"recurrence": null,
"expiration": {
"type": "afterDateTime",
"endDateTime": "2024-04-10T00:00:00Z",
"duration": null
}
}
}
]
}
反馈
提交和查看相关反馈